# BSM2_GUI
### Week 1 – Report 1 - 11.12.2024  
#### Amirreza Ebrahimikalarijani  

Last week, I read the `bsm2_gui` documentation and focused on researching resources. Personally, I consider this step a critical one, so it’s worth doing it thoroughly and with precision. There are numerous tutorials available, and while it may seem easy to find a standard course that aligns with our needs at first glance, it’s not. It requires evaluating their curriculum and watching a few sample tutorials to ensure their quality and relevance.

If we need to count the hours, I spent more than 20 hours finding the right courses. Here are the results:  
I discovered three academies that stand out for their exceptional tutorials:  
1. **ZTM (Andrei Neagoie):** [https://zerotomastery.io/](https://zerotomastery.io/)  
2. **The App Brewery (Angela Yu):** [https://appbrewery.com/](https://appbrewery.com/)  
3. **Code with Mosh (Mosh Hamedani):** [https://codewithmosh.com/](https://codewithmosh.com/)  

Each of them offers different courses related to web development. For example:  

- **ZTM (Andrei Neagoie):**  
  [Coding Bootcamp](https://zerotomastery.io/courses/coding-bootcamp/)  

- **The App Brewery (Angela Yu):**  
  [The Complete Web Development Course](https://appbrewery.com/p/the-complete-web-development-course)  

- **Code with Mosh (Mosh Hamedani):**  
  [Learning Paths](https://codewithmosh.com/p/learning-paths)  

I decided to start with courses from **Code with Mosh (Mosh Hamedani)**. I have begun watching the following tutorials and plan to complete them in the next 2-3 weeks:  
1. **Ultimate JavaScript Part 1: Fundamentals** (duration of tutorial: 6h)  
2. **Ultimate JavaScript Part 2: Advanced Topics** (duration of tutorial: 4h)  
3. **React 18 for Beginners** (duration of tutorial: 8h)  
4. **React 18: Intermediate Topics** (duration of tutorial: 6h)  
5. **Mastering JavaScript Unit Testing** (duration of tutorial: 4h)  
6. **The Complete Node.js Course** (duration of tutorial: 15h)  
7. **The Ultimate Git Course** (duration of tutorial: 6h)  
8. **The Ultimate Docker Course** (duration of tutorial: 5h)  

**Total Duration: 54h**  

I’m already familiar with some of these topics, so I expect to progress through them relatively smoothly. In parallel, I plan to read your documentation and explore the repository to understand the nature of the project during these 2-3 weeks.  

After completing this phase, I plan to dive into the project code, analyze it, and begin implementing the required functionalities.  

I hope this plan aligns with your expectations. Skipping this learning phase and relying solely on tools like ChatGPT might yield quick results initially, but without a foundational understanding of these topics, we would struggle to identify specific problems in the project workflow.  

Looking forward to your feedback.  

**End of the report 1**
